Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.jta.xa
Interface RecoverableXAConnection

public interface RecoverableXAConnection

XA connection implementations must provide an implementation of this class.

Since:
  JTS 1.2.4.
Version:
  $Id: RecoverableXAConnection.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark_little@hp.com)

Field Summary
`static int` | `AUTO_RECOVERY`
`static int` | `OBJECT_RECOVERY`

Method Summary
`void` | `close()`
`javax.sql.XAConnection` | `getConnection()`
`javax.sql.XAConnection` | `getCurrentConnection()`
`javax.sql.XADataSource` | `getDataSource()`
`javax.transaction.xa.XAResource` | `getResource()`
`boolean` | `inuse()`
`boolean` | `packInto(OutputObjectState os)`
`void` | `reset()`
`boolean` | `setTransaction(javax.transaction.Transaction tx)` Remember the transaction we are being used within.
`boolean` | `unpackFrom(InputObjectState os)`
`boolean` | `validTransaction(javax.transaction.Transaction tx)` Is this the same transaction?

Field Detail

### AUTO_RECOVERY

    public static final int AUTO_RECOVERY

See Also:
  Constant Field Values

### OBJECT_RECOVERY

    public static final int OBJECT_RECOVERY

See Also:
  Constant Field Values

Method Detail

### packInto

    public boolean packInto(OutputObjectState os)

### unpackFrom

    public boolean unpackFrom(InputObjectState os)

### getResource

    public javax.transaction.xa.XAResource getResource()
                                                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getConnection

    public javax.sql.XAConnection getConnection()
                                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getCurrentConnection

    public javax.sql.XAConnection getCurrentConnection()
                                                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDataSource

    public javax.sql.XADataSource getDataSource()
                                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### inuse

    public boolean inuse()

  Returns:
    true if the connection is being used within a transaction, false otherwise.

### reset

    public void reset()

  Since:
    JTS 2.2.

### close

    public void close()

  Since:
    JTS 2.2.

### setTransaction

    public boolean setTransaction(javax.transaction.Transaction tx)

  Remember the transaction we are being used within.

  Since:
    JTS 2.2.

### validTransaction

    public boolean validTransaction(javax.transaction.Transaction tx)

  Is this the same transaction?

  Returns:
    true if the connection can be used by this transaction, false otherwise.
  Since:
    JTS 2.2.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD